import { storageEnv, ENV_LIST } from '@/env'

function changeEnvByShake() {
  let flag = true
  wx.onAccelerometerChange(({ x, y, z }) => {
    if (!flag)
      return

    if (x > 1 || y > 1 || z > 1) {
      flag = false
      wx.vibrateLong()

      wx.showActionSheet({
        itemList: ['测试环境', '预发环境', '正式环境'],
        success (res) {
          storageEnv(ENV_LIST[res.tapIndex])
          setTimeout(() => {
            flag = true
          }, 200)
        },
        fail () {
          flag = true
        }
      })
    }
  })
}

changeEnvByShake()

export function sayHello () {
  console.log('Hello plugin!')
}

export const answer = 42
